Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class Pool

    java.lang.Object
      de.grogra.math.Pool

Direct Known Subclasses:
  ChannelData, PickList

    public class Pool

extends java.lang.Object

Field Summary
`java.awt.geom.Ellipse2D.Double` | `e0`
`java.awt.geom.Ellipse2D.Double` | `e1`
`java.awt.geom.Ellipse2D.Double` | `e2`
`java.awt.geom.Ellipse2D.Double` | `e3`
`FloatList` | `fv`
`java.awt.geom.Line2D.Double` | `l0`
`java.awt.geom.Line2D.Double` | `l1`
`java.awt.geom.Line2D.Double` | `l2`
`java.awt.geom.Line2D.Double` | `l3`
`java.util.ArrayList` | `list`
`Matrix3d` | `m3d0`
`Matrix3d` | `m3d1`
`Matrix3d` | `m3d2`
`Matrix3d` | `m3d3`
`Matrix3f` | `m3f0`
`Matrix3f` | `m3f1`
`Matrix3f` | `m3f2`
`Matrix3f` | `m3f3`
`Matrix4d` | `m4d0`
`Matrix4d` | `m4d1`
`Matrix4d` | `m4d2`
`Matrix4d` | `m4d3`
`Matrix4f` | `m4f0`
`Matrix4f` | `m4f1`
`Matrix4f` | `m4f2`
`Matrix4f` | `m4f3`
`Matrix3d` | `n3d0`
`Matrix3d` | `n3d1`
`Matrix3d` | `n3d2`
`Matrix3d` | `n3d3`
`Matrix3f` | `n3f0`
`Matrix3f` | `n3f1`
`Matrix3f` | `n3f2`
`Matrix3f` | `n3f3`
`Matrix4d` | `n4d0`
`Matrix4d` | `n4d1`
`Matrix4d` | `n4d2`
`Matrix4d` | `n4d3`
`Matrix4f` | `n4f0`
`Matrix4f` | `n4f1`
`Matrix4f` | `n4f2`
`Matrix4f` | `n4f3`
`Point2d` | `p2d0`
`Point2d` | `p2d1`
`Point2d` | `p2d2`
`Point2d` | `p2d3`
`Point2f` | `p2f0`
`Point2f` | `p2f1`
`Point2f` | `p2f2`
`Point2f` | `p2f3`
`Point3d` | `p3d0`
`Point3d` | `p3d1`
`Point3d` | `p3d2`
`Point3d` | `p3d3`
`Point3f` | `p3f0`
`Point3f` | `p3f1`
`Point3f` | `p3f2`
`Point3f` | `p3f3`
`Point4f` | `p4f0`
`Point4f` | `p4f1`
`Point4f` | `p4f2`
`Point4f` | `p4f3`
`java.awt.geom.GeneralPath` | `path`
`Point2d` | `q2d0`
`Point2d` | `q2d1`
`Point2d` | `q2d2`
`Point2d` | `q2d3`
`Point2f` | `q2f0`
`Point2f` | `q2f1`
`Point2f` | `q2f2`
`Point2f` | `q2f3`
`Point3d` | `q3d0`
`Point3d` | `q3d1`
`Point3d` | `q3d2`
`Point3d` | `q3d3`
`Point3f` | `q3f0`
`Point3f` | `q3f1`
`Point3f` | `q3f2`
`Point3f` | `q3f3`
`Point4f` | `q4f0`
`Point4f` | `q4f1`
`Point4f` | `q4f2`
`Point4f` | `q4f3`
`java.awt.geom.Rectangle2D.Double` | `r0`
`java.awt.geom.Rectangle2D.Double` | `r1`
`java.awt.geom.Rectangle2D.Double` | `r2`
`java.awt.geom.Rectangle2D.Double` | `r3`
`java.awt.geom.RoundRectangle2D.Double` | `rr0`
`java.awt.geom.RoundRectangle2D.Double` | `rr1`
`java.awt.geom.RoundRectangle2D.Double` | `rr2`
`java.awt.geom.RoundRectangle2D.Double` | `rr3`
`Vector2d` | `v2d0`
`Vector2d` | `v2d1`
`Vector2d` | `v2d2`
`Vector2d` | `v2d3`
`Vector2f` | `v2f0`
`Vector2f` | `v2f1`
`Vector2f` | `v2f2`
`Vector2f` | `v2f3`
`Vector3d` | `v3d0`
`Vector3d` | `v3d1`
`Vector3d` | `v3d2`
`Vector3d` | `v3d3`
`Vector3f` | `v3f0`
`Vector3f` | `v3f1`
`Vector3f` | `v3f2`
`Vector3f` | `v3f3`
`Vector4f` | `v4f0`
`Vector4f` | `v4f1`
`Vector4f` | `v4f2`
`Vector4f` | `v4f3`
`Vector2d` | `w2d0`
`Vector2d` | `w2d1`
`Vector2d` | `w2d2`
`Vector2d` | `w2d3`
`Vector2f` | `w2f0`
`Vector2f` | `w2f1`
`Vector2f` | `w2f2`
`Vector2f` | `w2f3`
`Vector3d` | `w3d0`
`Vector3d` | `w3d1`
`Vector3d` | `w3d2`
`Vector3d` | `w3d3`
`Vector3f` | `w3f0`
`Vector3f` | `w3f1`
`Vector3f` | `w3f2`
`Vector3f` | `w3f3`
`Vector4f` | `w4f0`
`Vector4f` | `w4f1`
`Vector4f` | `w4f2`
`Vector4f` | `w4f3`

Constructor Summary
`Pool()`

Method Summary
`static Pool` | `get(GraphState gs)`
`double[]` | `getDoubleArray(int index, int length)`
`float[]` | `getFloatArray(int index, int length)`
`void` | `pop(GraphState gs)`
`static Pool` | `push(GraphState gs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### e0

    public final java.awt.geom.Ellipse2D.Double e0

### e1

    public final java.awt.geom.Ellipse2D.Double e1

### e2

    public final java.awt.geom.Ellipse2D.Double e2

### e3

    public final java.awt.geom.Ellipse2D.Double e3

### fv

    public FloatList fv

### l0

    public final java.awt.geom.Line2D.Double l0

### l1

    public final java.awt.geom.Line2D.Double l1

### l2

    public final java.awt.geom.Line2D.Double l2

### l3

    public final java.awt.geom.Line2D.Double l3

### list

    public java.util.ArrayList list

### m3d0

    public final Matrix3d m3d0

### m3d1

    public final Matrix3d m3d1

### m3d2

    public final Matrix3d m3d2

### m3d3

    public final Matrix3d m3d3

### m3f0

    public final Matrix3f m3f0

### m3f1

    public final Matrix3f m3f1

### m3f2

    public final Matrix3f m3f2

### m3f3

    public final Matrix3f m3f3

### m4d0

    public final Matrix4d m4d0

### m4d1

    public final Matrix4d m4d1

### m4d2

    public final Matrix4d m4d2

### m4d3

    public final Matrix4d m4d3

### m4f0

    public final Matrix4f m4f0

### m4f1

    public final Matrix4f m4f1

### m4f2

    public final Matrix4f m4f2

### m4f3

    public final Matrix4f m4f3

### n3d0

    public final Matrix3d n3d0

### n3d1

    public final Matrix3d n3d1

### n3d2

    public final Matrix3d n3d2

### n3d3

    public final Matrix3d n3d3

### n3f0

    public final Matrix3f n3f0

### n3f1

    public final Matrix3f n3f1

### n3f2

    public final Matrix3f n3f2

### n3f3

    public final Matrix3f n3f3

### n4d0

    public final Matrix4d n4d0

### n4d1

    public final Matrix4d n4d1

### n4d2

    public final Matrix4d n4d2

### n4d3

    public final Matrix4d n4d3

### n4f0

    public final Matrix4f n4f0

### n4f1

    public final Matrix4f n4f1

### n4f2

    public final Matrix4f n4f2

### n4f3

    public final Matrix4f n4f3

### p2d0

    public final Point2d p2d0

### p2d1

    public final Point2d p2d1

### p2d2

    public final Point2d p2d2

### p2d3

    public final Point2d p2d3

### p2f0

    public final Point2f p2f0

### p2f1

    public final Point2f p2f1

### p2f2

    public final Point2f p2f2

### p2f3

    public final Point2f p2f3

### p3d0

    public final Point3d p3d0

### p3d1

    public final Point3d p3d1

### p3d2

    public final Point3d p3d2

### p3d3

    public final Point3d p3d3

### p3f0

    public final Point3f p3f0

### p3f1

    public final Point3f p3f1

### p3f2

    public final Point3f p3f2

### p3f3

    public final Point3f p3f3

### p4f0

    public final Point4f p4f0

### p4f1

    public final Point4f p4f1

### p4f2

    public final Point4f p4f2

### p4f3

    public final Point4f p4f3

### path

    public final java.awt.geom.GeneralPath path

### q2d0

    public final Point2d q2d0

### q2d1

    public final Point2d q2d1

### q2d2

    public final Point2d q2d2

### q2d3

    public final Point2d q2d3

### q2f0

    public final Point2f q2f0

### q2f1

    public final Point2f q2f1

### q2f2

    public final Point2f q2f2

### q2f3

    public final Point2f q2f3

### q3d0

    public final Point3d q3d0

### q3d1

    public final Point3d q3d1

### q3d2

    public final Point3d q3d2

### q3d3

    public final Point3d q3d3

### q3f0

    public final Point3f q3f0

### q3f1

    public final Point3f q3f1

### q3f2

    public final Point3f q3f2

### q3f3

    public final Point3f q3f3

### q4f0

    public final Point4f q4f0

### q4f1

    public final Point4f q4f1

### q4f2

    public final Point4f q4f2

### q4f3

    public final Point4f q4f3

### r0

    public final java.awt.geom.Rectangle2D.Double r0

### r1

    public final java.awt.geom.Rectangle2D.Double r1

### r2

    public final java.awt.geom.Rectangle2D.Double r2

### r3

    public final java.awt.geom.Rectangle2D.Double r3

### rr0

    public final java.awt.geom.RoundRectangle2D.Double rr0

### rr1

    public final java.awt.geom.RoundRectangle2D.Double rr1

### rr2

    public final java.awt.geom.RoundRectangle2D.Double rr2

### rr3

    public final java.awt.geom.RoundRectangle2D.Double rr3

### v2d0

    public final Vector2d v2d0

### v2d1

    public final Vector2d v2d1

### v2d2

    public final Vector2d v2d2

### v2d3

    public final Vector2d v2d3

### v2f0

    public final Vector2f v2f0

### v2f1

    public final Vector2f v2f1

### v2f2

    public final Vector2f v2f2

### v2f3

    public final Vector2f v2f3

### v3d0

    public final Vector3d v3d0

### v3d1

    public final Vector3d v3d1

### v3d2

    public final Vector3d v3d2

### v3d3

    public final Vector3d v3d3

### v3f0

    public final Vector3f v3f0

### v3f1

    public final Vector3f v3f1

### v3f2

    public final Vector3f v3f2

### v3f3

    public final Vector3f v3f3

### v4f0

    public final Vector4f v4f0

### v4f1

    public final Vector4f v4f1

### v4f2

    public final Vector4f v4f2

### v4f3

    public final Vector4f v4f3

### w2d0

    public final Vector2d w2d0

### w2d1

    public final Vector2d w2d1

### w2d2

    public final Vector2d w2d2

### w2d3

    public final Vector2d w2d3

### w2f0

    public final Vector2f w2f0

### w2f1

    public final Vector2f w2f1

### w2f2

    public final Vector2f w2f2

### w2f3

    public final Vector2f w2f3

### w3d0

    public final Vector3d w3d0

### w3d1

    public final Vector3d w3d1

### w3d2

    public final Vector3d w3d2

### w3d3

    public final Vector3d w3d3

### w3f0

    public final Vector3f w3f0

### w3f1

    public final Vector3f w3f1

### w3f2

    public final Vector3f w3f2

### w3f3

    public final Vector3f w3f3

### w4f0

    public final Vector4f w4f0

### w4f1

    public final Vector4f w4f1

### w4f2

    public final Vector4f w4f2

### w4f3

    public final Vector4f w4f3

Constructor Detail

### Pool

    public Pool()

Method Detail

### get

    public static Pool get(GraphState gs)

### getDoubleArray

    public double[] getDoubleArray(int index,
                                   int length)

### getFloatArray

    public float[] getFloatArray(int index,
                                 int length)

### pop

    public void pop(GraphState gs)

### push

    public static Pool push(GraphState gs)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD